Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Class DefaultLogicalReader

    java.lang.Object
      com.connecterra.ale.reader.DefaultLogicalReader

All Implemented Interfaces:
  LogicalReader

    public class DefaultLogicalReader

extends Object
implements LogicalReader

DefaultLogicalReader is the concrete implementation of LogicalReader that is paired with AbstractPhysicalDevice.

Field Summary
`protected List` | `m_filters`
`protected String` | `m_logicalReaderName`
`protected AbstractPhysicalDevice` | `m_physicalDevice`
`protected int` | `m_readCycleCount`
`protected String` | `m_readCyclesTelemetryID`
`protected com.bea.rfid.edge.api.telemetry.GaugeData` | `m_tagsInFieldGauge`
`protected String` | `m_tagsInFieldTelemetryID`
`protected String` | `m_telemetryDeviceName`
`protected int` | `m_writeCycleCount`
`protected String` | `m_writeCyclesTelemetryID`
`protected Logger` | `s_log`

Method Summary
`Set` | `getDeviceUnits()`
`String` | `getLogicalReaderName()` Gets the name associated with this logical reader.
`PhysicalDevice` | `getPhysicalDevice()` Gets the physical reader associated with this logical reader.
`boolean` | `supportsReading()` Tells whether this reader driver supports tag reading.
`boolean` | `supportsStackLight()`
`boolean` | `supportsWriting()` Tells whether this reader driver supports tag writing.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_physicalDevice

    protected AbstractPhysicalDevice m_physicalDevice

### m_telemetryDeviceName

    protected String m_telemetryDeviceName

### m_logicalReaderName

    protected String m_logicalReaderName

### m_readCyclesTelemetryID

    protected String m_readCyclesTelemetryID

### m_tagsInFieldTelemetryID

    protected String m_tagsInFieldTelemetryID

### m_writeCyclesTelemetryID

    protected String m_writeCyclesTelemetryID

### m_filters

    protected List m_filters

### m_readCycleCount

    protected volatile int m_readCycleCount

### m_writeCycleCount

    protected volatile int m_writeCycleCount

### m_tagsInFieldGauge

    protected com.bea.rfid.edge.api.telemetry.GaugeData m_tagsInFieldGauge

### s_log

    protected Logger s_log

Method Detail

### getDeviceUnits

    public Set getDeviceUnits()

  Returns:
    the `Set` of DeviceUnits which make up this LogicalReader.

### getLogicalReaderName

    public String getLogicalReaderName()

  Gets the name associated with this logical reader.

  Specified by:
    `getLogicalReaderName` in interface `LogicalReader`
  Returns:
    A String value.

### getPhysicalDevice

    public PhysicalDevice getPhysicalDevice()

  Gets the physical reader associated with this logical reader.

  Specified by:
    `getPhysicalDevice` in interface `LogicalReader`
  Returns:
    A non-null physical reader instance.

### supportsReading

    public boolean supportsReading()

  Description copied from interface: `LogicalReader`
  Tells whether this reader driver supports tag reading.

  Specified by:
    `supportsReading` in interface `LogicalReader`

### supportsWriting

    public boolean supportsWriting()

  Description copied from interface: `LogicalReader`
  Tells whether this reader driver supports tag writing.

  Specified by:
    `supportsWriting` in interface `LogicalReader`

### supportsStackLight

    public boolean supportsStackLight()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD